Subject: Re: bug#55552: frama-c should probably be wrapped

From: raingloom <[email-masked]>
Date: Thu, 2 Jun 2022 17:28:07 +0200

On Thu, 2 Jun 2022 07:57:19 +0200
Julien Lepiller <[email-masked]> wrote:

> Le Fri, 20 May 2022 13:36:54 +0200,
> raingloom <[email-masked]> a écrit :
> 
> > Sorry, can't debug this further right now.
> > 
> > ```
> > $(guix build frama-c)/bin/frama-c
> > [kernel] User Error: [findlib] package 'ocamlgraph' not found
> > (required by `frama-c.kernel') [kernel] User Error: Deferred error
> > message was emitted during execution. See above messages for more
> > information. [kernel] Frama-C aborted: invalid user input. ```
> > 
> > Running it with `guix shell frama-c -- frama-c` just makes it exit
> > without any output.
> > 
> > 
> >   
> 
> Hi, I think it's a duplicate of https://issues.guix.gnu.org/54094 ?
> I think it's just a matter of defining OCAMLPATH. Do you think you
> could come up with a patch?

Oh, I totally forgot about that. Well, I'll try to write something, but
it'll probably have to wait until my exams are over.